Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.sdoc
Class SchemaNodeFactory

    java.lang.Object
      com.saxonica.sdoc.SchemaNodeFactory

All Implemented Interfaces:
  NodeFactory

    public class SchemaNodeFactory

extends Object
implements NodeFactory

Class SchemaNodeFactory.
A Factory for nodes in the schema document tree.
Currently only allows Element nodes to be user-constructed.

Author:
  Michael H. Kay

Constructor Summary
`SchemaNodeFactory(SchemaCompiler compiler, PipelineConfiguration pipe, SchemaElement referrer)`

Method Summary
`PipelineConfiguration` | `getPipelineConfiguration()` Get the pipeline configuration
`SchemaCompiler` | `getSchemaCompiler()` Get the SchemaCompiler associated with this node factory
`ElementImpl` | `makeElementNode(NodeInfo parent, int nameCode, AttributeCollectionImpl attlist, int[] namespaces, int namespacesUsed, LocationProvider locator, int locationId, int sequence)` Create an Element node.
`SchemaException` | `registerId(String id, SchemaElement element)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaNodeFactory

    public SchemaNodeFactory(SchemaCompiler compiler,
                             PipelineConfiguration pipe,
                             SchemaElement referrer)

Method Detail

### getPipelineConfiguration

    public PipelineConfiguration getPipelineConfiguration()

  Get the pipeline configuration

### getSchemaCompiler

    public SchemaCompiler getSchemaCompiler()

  Get the SchemaCompiler associated with this node factory

### makeElementNode

    public ElementImpl makeElementNode(NodeInfo parent,
                                       int nameCode,
                                       AttributeCollectionImpl attlist,
                                       int[] namespaces,
                                       int namespacesUsed,
                                       LocationProvider locator,
                                       int locationId,
                                       int sequence)

  Create an Element node.

  Specified by:
    `makeElementNode` in interface `NodeFactory`
  Parameters:
    `nameCode` - The element name
    `attlist` - the attribute list
    `parent` - The parent element
    `namespaces` - List of new namespace declarations for this element, as a sequence of namespace codes representing pairs of strings: (prefix1, uri1), (prefix2, uri2)...
    `namespacesUsed` - the number of elemnts of the namespaces array actually used
    `locator` - Indicates the source document and line number containing the node
    `locationId` - Indicates the source document and line number containing the node
    `sequence` - Sequence number to be assigned to represent document order.

### registerId

    public SchemaException registerId(String id,
                                      SchemaElement element)
                               throws SchemaException

  Throws:
    `SchemaException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.